Package org.eclipse.viatra.addon.validation.runtime

## Class MarkerManagerViolationListener

- java.lang.Object
- - org.eclipse.viatra.addon.validation.runtime.MarkerManagerViolationListener

- All Implemented Interfaces:
    `ConstraintListener`, `ViolationListener`

      public class MarkerManagerViolationListener
      extends java.lang.Object
      implements ConstraintListener, ViolationListener

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MarkerManagerViolationListener​(org.eclipse.core.resources.IResource editorLocation, org.apache.log4j.Logger logger)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` | Callback when the listener has to be cleaned up
    `void` | `violationAppeared​(IViolation violation)` | Called if a new violation appeared for the constraint on which the listener is registered.
    `void` | `violationDisappeared​(IViolation violation)` | Called if a violation disappeared for the constraint on which the listener is registered.
    `void` | `violationEntryAppeared​(IViolation violation, IEntry entry)` | Called if a new entry has appeared for the violation on which the listener is registered.
    `void` | `violationEntryDisappeared​(IViolation violation, IEntry entry)` | Called if an entry has disappeared for the violation on which the listener is registered.
    `void` | `violationMessageUpdated​(IViolation violation)` | Called if the message has been updated for the violation on which the listener is registered.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MarkerManagerViolationListener

          public MarkerManagerViolationListener​(org.eclipse.core.resources.IResource editorLocation,
                                                org.apache.log4j.Logger logger)

      Since:
        2.1

  - ### Method Detail

    - #### violationAppeared

          public void violationAppeared​(IViolation violation)

      Description copied from interface: `ConstraintListener`
      Called if a new violation appeared for the constraint on which the listener is registered.
      Specified by:
        `violationAppeared` in interface `ConstraintListener`
      Parameters:
        `violation` - The violation which appeared.

    - #### violationDisappeared

          public void violationDisappeared​(IViolation violation)

      Description copied from interface: `ConstraintListener`
      Called if a violation disappeared for the constraint on which the listener is registered.
      Specified by:
        `violationDisappeared` in interface `ConstraintListener`
      Parameters:
        `violation` - The violation which disappeared.

    - #### violationEntryAppeared

          public void violationEntryAppeared​(IViolation violation,
                                             IEntry entry)

      Description copied from interface: `ViolationListener`
      Called if a new entry has appeared for the violation on which the listener is registered.
      Specified by:
        `violationEntryAppeared` in interface `ViolationListener`
      Parameters:
        `violation` - The violation for which the new entry appeared.
        `entry` - The new entry which appeared.

    - #### violationMessageUpdated

          public void violationMessageUpdated​(IViolation violation)

      Description copied from interface: `ViolationListener`
      Called if the message has been updated for the violation on which the listener is registered.
      Specified by:
        `violationMessageUpdated` in interface `ViolationListener`
      Parameters:
        `violation` - The violation for which the messaged has been updated.

    - #### violationEntryDisappeared

          public void violationEntryDisappeared​(IViolation violation,
                                                IEntry entry)

      Description copied from interface: `ViolationListener`
      Called if an entry has disappeared for the violation on which the listener is registered.
      Specified by:
        `violationEntryDisappeared` in interface `ViolationListener`
      Parameters:
        `violation` - The violation for which the entry disappeared.
        `entry` - The entry which disappeared.

    - #### dispose

          public void dispose()

      Description copied from interface: `ConstraintListener`
      Callback when the listener has to be cleaned up
      Specified by:
        `dispose` in interface `ConstraintListener`